Subject: [bug#47709] [PATCH 2/2] doc: Document 'gnu-build-system' keyword parameters.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 12 Apr 2021 14:17:04 +0200

Hi,

Maxime Devos <[email-masked]> skribis:

> On Sun, 2021-04-11 at 15:46 +0200, Ludovic Courtès wrote:
>> 
>> [...]
>> @@ -7307,6 +7307,84 @@ Coreutils, Bash, Make, Diffutils, grep, and sed (see the @code{(guix
>>  build-system gnu)} module for a complete list).  We call these the
>>  @dfn{implicit inputs} of a package, because package definitions do not
>>  have to mention them.
>> +
>> +This build system supports a number of keyword arguments, which can be
>> +passed @i{via}
>
> Why the italics?  I've heard some people italicise "via" because it's a foreign
> word (from Latin), but I'm not convinced.

Italicizing foreign words is a typographical convention.

> I don't see anyone italicising "broccoli", even though it is Italian
> (going by https://en.wiktionary.org/wiki/broccoli).

True.  :-)

>> +@item #:out-of-source?
>> +This Boolean,
> ‘Boolean’ is miscapitalised.

I don’t think so: it derives from a family name, and my understanding is
that the convention is to capitalize such words; the lower-case variant
“boolean” is definitely widespread, though.

Thanks for taking a look!

Ludo’.